diff --git a/configure.ac b/configure.ac
index 2c2dfae..e028a0d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -42,12 +42,6 @@ if test "x${WEBDIR}" = "x" ; then
 	WEBDIR='/usr/local/www'
 fi
 
-AC_ARG_VAR(WEBGROUP, [The group that the web server will run as])
-
-if test "x${WEBGROUP}" = "x" ; then
-	WEBGROUP='thttpd'
-fi
-
 AC_CONFIG_FILES([Makefile
                  docs/Makefile
                  extras/Makefile
diff --git a/docs/Makefile.am b/docs/Makefile.am
index 303c25f..2823290 100644
--- a/docs/Makefile.am
+++ b/docs/Makefile.am
@@ -1 +1 @@
-dist_man_MANS = htpasswd.1 makeweb.1 redirect.8 ssi.8 syslogtocern.8 thttpd.8
+dist_man_MANS = th_htpasswd.1 makeweb.1 redirect.8 ssi.8 syslogtocern.8 thttpd.8
diff --git a/docs/htpasswd.1 b/docs/htpasswd.1
deleted file mode 100644
index 1124b02..0000000
--- a/docs/htpasswd.1
+++ /dev/null
@@ -1,16 +0,0 @@
-.TH htpasswd 1 "05 May 1998"
-.SH NAME
-htpasswd - manipulate HTTP-server password files
-.SH SYNOPSIS
-.B htpasswd
-.RB [ -c ]
-.I passwordfile
-.I username
-.SH DESCRIPTION
-.PP
-Sets a user's password in an httpd-style password file.
-The -c flag creates a new file.
-.SH AUTHOR
-Rob McCool.
-Modified 29aug97 by Jef Poskanzer to accept new password on stdin,
-if stdin is a pipe or file.  This is necessary for use from CGI.
diff --git a/docs/th_htpasswd.1 b/docs/th_htpasswd.1
new file mode 100644
index 0000000..f524af9
--- /dev/null
+++ b/docs/th_htpasswd.1
@@ -0,0 +1,16 @@
+.TH th_htpasswd 1 "05 May 1998"
+.SH NAME
+th_htpasswd - manipulate HTTP-server password files
+.SH SYNOPSIS
+.B th_htpasswd
+.RB [ -c ]
+.I passwordfile
+.I username
+.SH DESCRIPTION
+.PP
+Sets a user's password in an httpd-style password file.
+The -c flag creates a new file.
+.SH AUTHOR
+Rob McCool.
+Modified 29aug97 by Jef Poskanzer to accept new password on stdin,
+if stdin is a pipe or file.  This is necessary for use from CGI.
diff --git a/docs/thttpd.8 b/docs/thttpd.8
index a0fd334..78af884 100644
--- a/docs/thttpd.8
+++ b/docs/thttpd.8
@@ -270,7 +270,7 @@ called .htpasswd by default.
 This file is formatted as the familiar colon-separated
 username/encrypted-password pair, records delimited by newlines.
 The protection does not carry over to subdirectories.
-The utility program htpasswd(1) is included to help create and
+The utility program th_htpasswd(1) is included to help create and
 modify .htpasswd files.
 .PP
 Relevant thttpd.h option: AUTH_FILE
@@ -562,7 +562,7 @@ This is a little tricky to set up correctly, for instance if you are using
 chroot() then the log file must be within the chroot tree, but it's
 definitely doable.
 .SH "SEE ALSO"
-redirect(8), ssi(8), makeweb(1), htpasswd(1), syslogtocern(8), weblog_parse(1), http_get(1)
+redirect(8), ssi(8), makeweb(1), th_htpasswd(1), syslogtocern(8), weblog_parse(1), http_get(1)
 .SH THANKS
 .PP
 Many thanks to contributors, reviewers, testers:
diff --git a/extras/Makefile.am b/extras/Makefile.am
index b1f3b4d..ffd19d7 100644
--- a/extras/Makefile.am
+++ b/extras/Makefile.am
@@ -1,11 +1,7 @@
 AM_CPPFLAGS = -DWEBDIR='"$(WEBDIR)"'
 
-sbin_PROGRAMS = makeweb htpasswd
+sbin_PROGRAMS = makeweb th_htpasswd
 makeweb_SOURCES = makeweb.c
-htpasswd_SOURCES = htpasswd.c
+th_htpasswd_SOURCES = th_htpasswd.c
 
 dist_sbin_SCRIPTS = syslogtocern
-
-install-exec-hook:
-	chgrp $(WEBGROUP) $(DESTDIR)$(sbindir)/makeweb
-	chmod 2751 $(DESTDIR)$(sbindir)/makeweb
